package com.citygis.web.controller;

import com.citygis.common.annotation.Log;
import com.citygis.common.core.controller.BaseController;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.core.page.TableDataInfo;
import com.citygis.common.enums.BusinessType;
import com.citygis.web.domain.TabKafkalog;
import com.citygis.web.domain.TabLog2;
import com.citygis.web.service.ITabKafkalogService;
import com.citygis.web.service.ITabLog2Service;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-14
 * @Description: 链路监控
 * @Version: 1.0
 */
@Api(tags = "链路监控")
@RestController
@RequestMapping("/web/link")
public class LinkController extends BaseController {

    @Resource
    ITabLog2Service tabLog2Service;

    @Resource
    ITabKafkalogService tabKafkalogService;

    @Log(title = "链路监控", businessType = BusinessType.SELECT)
    @ApiOperation("接口监听")
    @GetMapping("getTabLog2List")
    public TableDataInfo getTabLog2List(TabLog2 tabLog2) {
        startPage();
        return getDataTable(tabLog2Service.getTabLog2List(tabLog2));
    }

    @Log(title = "链路监控", businessType = BusinessType.SELECT)
    @ApiOperation("接口监听详情")
    @GetMapping("getTabLog2DetailListByUrl")
    public AjaxResult getTabLog2DetailListByUrl(TabLog2 tabLog2) {
        return tabLog2Service.getTabLog2DetailListByUrl(tabLog2);
    }

    @Log(title = "链路监控", businessType = BusinessType.SELECT)
    @ApiOperation("kafka监听")
    @GetMapping("getKafkaLogList")
    public TableDataInfo getKafkaLogList(TabKafkalog tabKafkalog) {
        startPage();
        return getDataTable(tabKafkalogService.getKafkaLogList(tabKafkalog));
    }
}
